<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\Detailsreiter\Fotos;

class FotosController extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Fotos\FotosController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new FotosUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->dnr = \GetOperations::getVarValue('dnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new FotosPresenter($pUseCaseResponse);
  }

  protected function getAccessDeniedController()
  {
    
    return new \Kufer\KuferTools\Oeffentlich\AccessDenied\AccessDeniedController();
  }

  protected function getNotLoggedController()
  {
    
    return new \Kufer\KuferTools\Oeffentlich\NichtEingeloggt\NichtEingeloggtController();
  }
}